Bug 144757 - Install CD fails loading ata_piix driver
Install CD fails loading ata_piix driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 05:52 EST by Don Scales
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 01:21:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Scales 2005-01-11 05:52:48 EST
Description of problem:
During boot of install CD (x86_64 and i686) Loading ata_piix fails
Oops 0002 [#1]

Version-Release number of selected component (if applicable):
RHEL4 B2 both x86_64 and i686 fail. RHEL4 B1 is OK

How reproducible:
Every time

Steps to Reproduce:
1.Boot machine with CD installed
2.
3.
  
Actual results:
Load of ata_piix fails

Expected results:
Normal install screens

Additional info:
Comment 1 Don Scales 2005-01-11 06:09:29 EST
System is a Dell 670 workstation
The motherboard on these systems has the new Intel E7525 chipset
that requires ICH5R SATA drivers - hence ata_piix
From the screen during the CD boot - RHEL4-Beta2-i386-WS-disc1.iso
Loading ata_piix   Oops 0002 [#1]
Modules linked in : ata_piix libata e1000 .....
Unable to identify CD-Rom format. [ata-piix]
[<c013e04c>] sys_init_module +0x207/0x2ef
[<c030a057>] syscall_call +0x7/0xb
Code 85 04 04 00 00 85 ed 77 0d 8b 47 28 83 c0 10 e8 82 01 00 00 89
c5 8b 47 28 8d 57 ic 83 c0 08 89 47 1c 8b 48 04 89 4a 04
<89> 11 8b 47 28 8b 18 8d 4b 48 89 c8 ba ff ff 00 00 0f c1 10 0f
Comment 2 Don Scales 2005-01-11 08:01:23 EST
Booting the CD and using linux rescue noprobe allowed me to load the
drivers individually.
Loading ata_piix caused a failure (as expected)
Booting the CD again
Loading the scsi driver aic79xx loaded ok but did not find the scsi
disks.
Using the Beta1 cds and loading aic79xx found the scsi disks.

Suggestion - The Beta 2 CDs have down level BOOT drivers ?
Comment 3 Dave Jones 2005-02-24 01:21:14 EST
this should have been fixed in RC, and subsequent builds.

Note You need to log in before you can comment on or make changes to this bug.